import _extends from "@babel/runtime/helpers/extends";
import * as React from 'react';

function SvgError(props) {
  return /*#__PURE__*/React.createElement("svg", _extends({
    width: 30,
    height: 30
  }, props), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("circle", {
    fill: "#EB333F",
    cx: 15,
    cy: 15,
    r: 15
  }), /*#__PURE__*/React.createElement("path", {
    d: "M19.708 10.292a.999.999 0 00-1.413 0l-3.289 3.29-3.289-3.29a.999.999 0 00-1.412 1.413l3.289 3.289-3.29 3.289a.999.999 0 101.413 1.412l3.29-3.289 3.288 3.29a.999.999 0 001.413-1.413l-3.29-3.29 3.29-3.288a.999.999 0 000-1.413z",
    fill: "#FFF",
    fillRule: "nonzero"
  })));
}

export default SvgError;